org.apache.lucene.analysis.ngram

## Class Lucene43EdgeNGramTokenFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.ngram.Lucene43EdgeNGramTokenFilter

- All Implemented Interfaces:
    Closeable, AutoCloseable

  Deprecated.
  Use `EdgeNGramTokenFilter`.

      @Deprecated
      public final class Lucene43EdgeNGramTokenFilter
      extends TokenFilter

  Tokenizes the given token into n-grams of given size(s), using pre-4.4 behavior.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_MAX_GRAM_SIZE` Deprecated.
    `static int` | `DEFAULT_MIN_GRAM_SIZE` Deprecated.

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene43EdgeNGramTokenFilter(TokenStream input, int minGram, int maxGram)` Deprecated. Creates EdgeNGramTokenFilter that can generate n-grams in the sizes of the given range

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `incrementToken()` Deprecated.
    `void` | `reset()` Deprecated.

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, end`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MAX_GRAM_SIZE

          public static final int DEFAULT_MAX_GRAM_SIZE

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEFAULT_MIN_GRAM_SIZE

          public static final int DEFAULT_MIN_GRAM_SIZE

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Lucene43EdgeNGramTokenFilter

          public Lucene43EdgeNGramTokenFilter(TokenStream input,
                                      int minGram,
                                      int maxGram)

      Deprecated.
      Creates EdgeNGramTokenFilter that can generate n-grams in the sizes of the given range
      Parameters:
        `input` - `TokenStream` holding the input to be tokenized
        `minGram` - the smallest n-gram to generate
        `maxGram` - the largest n-gram to generate

  - ### Method Detail

    - #### incrementToken

          public final boolean incrementToken()
                                       throws IOException

      Deprecated.
      Specified by:
        `incrementToken` in class `TokenStream`
      Throws:
        `IOException`

    - #### reset

          public void reset()
                     throws IOException

      Deprecated.
      Overrides:
        `reset` in class `TokenFilter`
      Throws:
        `IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.